Fast Fourier Transform
===================================

.. currentmodule:: pyo

A Fast Fourier Transform (FFT) is an efficient algorithm to compute 
the discrete Fourier transform (DFT) and its inverse (IFFT).

The objects below can be used to perform sound processing in the 
spectral domain.

*FFT*
-----------------------------------

.. autoclass:: FFT
   :members:

   .. autoclasstoc::

*IFFT*
-----------------------------------

.. autoclass:: IFFT
   :members:

   .. autoclasstoc::

*PolToCar*
-----------------------------------

.. autoclass:: PolToCar
   :members:

   .. autoclasstoc::

*CarToPol*
-----------------------------------

.. autoclass:: CarToPol
   :members:

   .. autoclasstoc::

*FrameAccum*
-----------------------------------

.. autoclass:: FrameAccum
   :members:

   .. autoclasstoc::

*FrameDelta*
-----------------------------------

.. autoclass:: FrameDelta
   :members:

   .. autoclasstoc::

*CvlVerb*
-----------------------------------

.. autoclass:: CvlVerb
   :members:

   .. autoclasstoc::

*Vectral*
-----------------------------------

.. autoclass:: Vectral
   :members:

   .. autoclasstoc::

